<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: File.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">File.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * File.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Created on: Jun 1, 2017</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *      Author: kolban</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef COMPONENTS_CPP_UTILS_FILE_H_</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define COMPONENTS_CPP_UTILS_FILE_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;dirent.h&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classFile.html">   16</a></span>&#160;<span class="keyword">class </span><a class="code" href="classFile.html">File</a> {</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <a class="code" href="classFile.html#a3da9bfd17e7cc8b5709341f7f92aafd7">File</a>(std::string name, uint8_t type = DT_UNKNOWN);</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    std::string <a class="code" href="classFile.html#aaa235586228b3a712b65a4fc951d35bf">getContent</a>(<span class="keywordtype">bool</span> base64Encode = <span class="keyword">false</span>);</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    std::string <a class="code" href="classFile.html#aaa235586228b3a712b65a4fc951d35bf">getContent</a>(uint32_t offset, uint32_t size);</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    std::string <a class="code" href="classFile.html#a9e324b9cb28fc557b92901f2481ce0fb">getName</a>();</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    std::string getPath();</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    uint8_t     <a class="code" href="classFile.html#a6d87eea1cf2a07b3f2a23f8607c88c3c">getType</a>();</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keywordtype">bool</span>        <a class="code" href="classFile.html#a6ba5bdb943363cda56649238ccb18c27">isDirectory</a>();</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    uint32_t    <a class="code" href="classFile.html#a6f330e7db752189b7badb41b8706f1bf">length</a>();</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    std::string m_path;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    uint8_t     m_type;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;};</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COMPONENTS_CPP_UTILS_FILE_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classFile_html_a6d87eea1cf2a07b3f2a23f8607c88c3c"><div class="ttname"><a href="classFile.html#a6d87eea1cf2a07b3f2a23f8607c88c3c">File::getType</a></div><div class="ttdeci">uint8_t getType()</div><div class="ttdoc">Get the type of the file. The type of a file can be DT_REGULAR, DT_DIRECTORY or DT_UNKNOWN.</div><div class="ttdef"><b>Definition:</b> File.cpp:101</div></div>
<div class="ttc" id="classFile_html_a6f330e7db752189b7badb41b8706f1bf"><div class="ttname"><a href="classFile.html#a6f330e7db752189b7badb41b8706f1bf">File::length</a></div><div class="ttdeci">uint32_t length()</div><div class="ttdoc">Get the length of the file in bytes.</div><div class="ttdef"><b>Definition:</b> File.cpp:110</div></div>
<div class="ttc" id="classFile_html_a3da9bfd17e7cc8b5709341f7f92aafd7"><div class="ttname"><a href="classFile.html#a3da9bfd17e7cc8b5709341f7f92aafd7">File::File</a></div><div class="ttdeci">File(std::string name, uint8_t type=DT_UNKNOWN)</div><div class="ttdoc">Construct a file.</div><div class="ttdef"><b>Definition:</b> File.cpp:22</div></div>
<div class="ttc" id="classFile_html_aaa235586228b3a712b65a4fc951d35bf"><div class="ttname"><a href="classFile.html#aaa235586228b3a712b65a4fc951d35bf">File::getContent</a></div><div class="ttdeci">std::string getContent(bool base64Encode=false)</div><div class="ttdoc">Retrieve the content of the file.</div><div class="ttdef"><b>Definition:</b> File.cpp:33</div></div>
<div class="ttc" id="classFile_html_a9e324b9cb28fc557b92901f2481ce0fb"><div class="ttname"><a href="classFile.html#a9e324b9cb28fc557b92901f2481ce0fb">File::getName</a></div><div class="ttdeci">std::string getName()</div><div class="ttdoc">Get the name of the file.</div><div class="ttdef"><b>Definition:</b> File.cpp:89</div></div>
<div class="ttc" id="classFile_html_a6ba5bdb943363cda56649238ccb18c27"><div class="ttname"><a href="classFile.html#a6ba5bdb943363cda56649238ccb18c27">File::isDirectory</a></div><div class="ttdeci">bool isDirectory()</div><div class="ttdoc">Determine if the type of the file is a directory.</div><div class="ttdef"><b>Definition:</b> File.cpp:122</div></div>
<div class="ttc" id="classFile_html"><div class="ttname"><a href="classFile.html">File</a></div><div class="ttdoc">A logical representation of a file.</div><div class="ttdef"><b>Definition:</b> File.h:16</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
